// 
// Copyright (C) 2008 Christian Pointner, Funkfeuer Graz
//                    <equinox@spreadspace.org>
//
// This is free software, licensed under the GNU General Public License v2.
// See /LICENSE for more information.
//
// This Makefile builds the Simple Template Engine
//
// $Id: $

#include <stdio.h>

printUsage()
{
  fprintf(stderr, "Simple Template Engine\n");
  fprintf(stderr, "  written by Christian Pointner <equinox@spreadspace.org>\n\n");

  fprintf(stderr, "Usage: stpl-engine <inputfilename> [outputfile]\n");
}

int main(int argc, char** argv)
{
  if(argc < 2 || argc > 3) {
    printUsage();
    return(-1);
  }

  FILE *in, *out;

  if(argv[1][0] == '-') {
    in = stdin;
  }
  else {
    in = fopen(argv[1], "r");
    if(!in) {
      fprintf(stderr, "Error: can't open file reading: %s", argv[1]);
    }
  }

  if(argc == 2) {
    out = stdout;
  }
  else {
    out = fopen(argv[2], "w");
    if(!out) {
      fprintf(stderr, "Error: can't open file for writing: %s", argv[2]);
    }
  }
  
  char sign;
  while(fread(&sign, 1, 1, in))
  {
    fwrite(&sign, 1, 1, out);
  }

  return 0;
}
